VPS
Create manual backup
post
/vps/{vps_id}/backupsCreate an immediate backup of your server. Manual backups are useful before major changes or maintenance.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
vps_id*integer
Rango
1 ≤ valueCuerpo de la petición
Create manual backup
application/jsonObligatorio
notes?string | null
Optional notes for the backup
Rango
length ≤ 500Respuestas
Successful Response
application/json
id*integer
vps_id*integer
backup_type*BackupType
Valores
"manual""automatic"backup_volid*string | null
status*BackupStatus
Valores
"pending""in_progress""completed""failed""deleted"progress*integer
Rango
0 ≤ value ≤ 100size_gb*number | null
pbs_storage*string | null
started_at*string | null
Formato
date-timecompleted_at*string | null
Formato
date-timeerror_message*string | null
notes*string | null
created_at*string
Formato
date-timesnapshot_uuid?string | null